Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.util
Class Configuration

    java.lang.Object
      |
      +--context.arch.util.Configuration

public class Configuration
extends java.lang.Object

This class implements a subscriber object, encapsulating the information needed to create a subscriber and send information to it.

See Also:
  `Subscribers`

Field Summary
`static java.lang.String` | `AUTHOR` Tag for author
`static java.lang.String` | `CONFIGURATION` Tag for a configuration
`static java.lang.String` | `DESCRIPTION` Tag for description
`static java.lang.String` | `INTERPRETERS` Tag for interpreters
`static java.lang.String` | `OTHER_COMPONENTS` Tag for other components
`static java.lang.String` | `PARAMETERS` Tag for parameters
`static java.lang.String` | `SERVERS` Tag for servers
`static java.lang.String` | `VERSION` Tag for a version
`static java.lang.String` | `WIDGETS` Tag for widgets

Constructor Summary
`Configuration(DataObject data)` Basic constructor that creates a configuration object from a DataObject.

Method Summary
`java.lang.String` | `getAuthor()` Returns the author of this configuration
`java.lang.String` | `getDescription()` Returns the description of this configuration
`ConfigObjects` | `getInterpreterConfigurations()` Returns the interpreter configurations for this configuration
`ConfigObjects` | `getOtherConfigurations()` Returns the other component (not servers, widgets, or interpreters) configurations for this configuration
`AttributeNameValues` | `getParameters()` Returns the parameters for this configuration
`ConfigObjects` | `getServerConfigurations()` Returns the server configurations for this configuration
`java.lang.String` | `getVersion()` Returns the version number of this configuration
`ConfigObjects` | `getWidgetConfigurations()` Returns the widget configurations for this configuration
`void` | `setAuthor(java.lang.String author)` Sets the author of this configuration
`void` | `setDescription(java.lang.String description)` Sets the description of this configuration
`void` | `setInterpreterConfigurations(ConfigObjects interpreters)` Sets the interpreter configurations for this configuration
`void` | `setOtherConfigurations(ConfigObjects others)` Sets the the other component (not servers, widgets, or interpreters) configurations for this configuration
`void` | `setParameters(AttributeNameValues parameters)` Sets the parameters for this configuration
`void` | `setServerConfigurations(ConfigObjects servers)` Sets the server configurations for this configuration
`void` | `setVersion(java.lang.String version)` Sets the version number of this configuration
`void` | `setWidgetConfigurations(ConfigObjects widgets)` Sets the widget configurations for this configuration

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

  Tag for a version

### CONFIGURATION

    public static final java.lang.String CONFIGURATION

  Tag for a configuration

### AUTHOR

    public static final java.lang.String AUTHOR

  Tag for author

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

  Tag for description

### PARAMETERS

    public static final java.lang.String PARAMETERS

  Tag for parameters

### WIDGETS

    public static final java.lang.String WIDGETS

  Tag for widgets

### INTERPRETERS

    public static final java.lang.String INTERPRETERS

  Tag for interpreters

### SERVERS

    public static final java.lang.String SERVERS

  Tag for servers

### OTHER_COMPONENTS

    public static final java.lang.String OTHER_COMPONENTS

  Tag for other components

Constructor Detail

### Configuration

    public Configuration(DataObject data)

  Basic constructor that creates a configuration object from a DataObject. The DataObject must contain a tag
  Parameters:
    `data` - DataObject containing the subscriber info

Method Detail

### getVersion

    public java.lang.String getVersion()

  Returns the version number of this configuration
  Returns:
    the configuration version

### setVersion

    public void setVersion(java.lang.String version)

  Sets the version number of this configuration
  Parameters:
    `version` - Version of this configuration

### getAuthor

    public java.lang.String getAuthor()

  Returns the author of this configuration
  Returns:
    the configuration author

### setAuthor

    public void setAuthor(java.lang.String author)

  Sets the author of this configuration
  Parameters:
    `author` - Author of this configuration

### getDescription

    public java.lang.String getDescription()

  Returns the description of this configuration
  Returns:
    the configuration description

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of this configuration
  Parameters:
    `description` - Description of this configuration

### getParameters

    public AttributeNameValues getParameters()

  Returns the parameters for this configuration
  Returns:
    the configuration parameters

### setParameters

    public void setParameters(AttributeNameValues parameters)

  Sets the parameters for this configuration
  Parameters:
    `parameters` - Parameters for this configuration

### getWidgetConfigurations

    public ConfigObjects getWidgetConfigurations()

  Returns the widget configurations for this configuration
  Returns:
    the widget configurations

### setWidgetConfigurations

    public void setWidgetConfigurations(ConfigObjects widgets)

  Sets the widget configurations for this configuration
  Parameters:
    `widgets` - Widget configurations for this configuration

### getInterpreterConfigurations

    public ConfigObjects getInterpreterConfigurations()

  Returns the interpreter configurations for this configuration
  Returns:
    the interpreter configurations

### setInterpreterConfigurations

    public void setInterpreterConfigurations(ConfigObjects interpreters)

  Sets the interpreter configurations for this configuration
  Parameters:
    `interpreters` - Interpreter configurations for this configuration

### getServerConfigurations

    public ConfigObjects getServerConfigurations()

  Returns the server configurations for this configuration
  Returns:
    the server configurations

### setServerConfigurations

    public void setServerConfigurations(ConfigObjects servers)

  Sets the server configurations for this configuration
  Parameters:
    `servers` - Server configurations for this configuration

### getOtherConfigurations

    public ConfigObjects getOtherConfigurations()

  Returns the other component (not servers, widgets, or interpreters) configurations for this configuration
  Returns:
    the other component configurations

### setOtherConfigurations

    public void setOtherConfigurations(ConfigObjects others)

  Sets the the other component (not servers, widgets, or interpreters) configurations for this configuration
  Parameters:
    `others` - Other configurations for this configuration

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD